#ifndef XASSETHEADER_H
#define XASSETHEADER_H

#include "xasset.h"

class ZoneFile;

class XAssetHeader: public XAsset
{
public:
    explicit XAssetHeader();
    XAssetHeader(ZoneFile* aZoneFile);
    ~XAssetHeader() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

    XAssetType GetAssetType() const;
    quint32 GetRawAssetType() const;
    qint32 GetAssetPtr() const;

private:
    quint32 mRawType;
    XAssetType mAssetType;
    qint32 mAssetPtr;
    ZoneFile *mZoneFile;
};

#endif // XASSETHEADER_H

